aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHanspeter Portner <dev@open-music-kontrollers.ch>2019-07-31 19:07:50 +0200
committerHanspeter Portner <dev@open-music-kontrollers.ch>2019-07-31 19:07:50 +0200
commitade0491928c9ea5910cf58cf9357cf93baf99c56 (patch)
treeda319e023caa93b9b8835b4ce94705fb007d744b
parent5065b738944bf3489998094400e0b36f4b99c1df (diff)
downloadsynthpod-ade0491928c9ea5910cf58cf9357cf93baf99c56.tar.xz
d2tk: add synthpod_d2tk wrapper script.
-rw-r--r--VERSION2
-rw-r--r--bin/meson.build5
-rw-r--r--bin/synthpod_d2tk29
3 files changed, 35 insertions, 1 deletions
diff --git a/VERSION b/VERSION
index d8efc7c3..efc752b4 100644
--- a/VERSION
+++ b/VERSION
@@ -1 +1 @@
-0.1.6061
+0.1.6063
diff --git a/bin/meson.build b/bin/meson.build
index e69a252e..d901cf86 100644
--- a/bin/meson.build
+++ b/bin/meson.build
@@ -136,4 +136,9 @@ endif
install_data('synthpod_ui',
install_dir : get_option('bindir'),
install_mode : 'rwxr-xr-x')
+
+install_data('synthpod_d2tk',
+ install_dir : get_option('bindir'),
+ install_mode : 'rwxr-xr-x')
+
install_man('synthpod_sandbox.1')
diff --git a/bin/synthpod_d2tk b/bin/synthpod_d2tk
new file mode 100644
index 00000000..5f26171d
--- /dev/null
+++ b/bin/synthpod_d2tk
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+set -e
+set -u
+
+# guess pid of running daemon
+pid=$( pgrep synthpod | grep -v sand | head -n 1 | awk '{print $1}' )
+
+if [ -z "${pid}" ]; then
+ exit 1
+fi
+
+socket="shm:///synthpod-${pid}"
+
+uri='http://open-music-kontrollers.ch/lv2/synthpod#stereo'
+ui='http://open-music-kontrollers.ch/lv2/synthpod#root_5_d2tk'
+bundle=$( lv2info ${uri} | grep Bundle | head -n1 | sed -e 's/.*file:\/\///g' )
+
+exec ${GDB:-} synthpod_sandbox_x11 \
+ -p "${uri}" \
+ -P "${bundle}" \
+ -u "${ui}" \
+ -U "${bundle}" \
+ -s "${socket}" \
+ -w "Synthpod - ${socket}" \
+ -m $(( 0x1000000 )) \
+ -r 48000 \
+ -f 30 \
+ "$@"